OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ComputeNodeConnectivity< TreeType > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| ComputeNodeConnectivity (const TreeType &tree, const Coord *coordinates, size_t *offsets, size_t numNodes, const CoordBBox &bbox)
| ComputeNodeConnectivity (const ComputeNodeConnectivity &)=default
ComputeNodeConnectivity & | operator= (const ComputeNodeConnectivity &)=delete
void | operator() (const tbb::blocked_range< size_t > &range) const
size_t | findNeighbourNode (tree::ValueAccessor< const TreeType > &acc, const Coord &start, const Coord &step) const

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ ComputeNodeConnectivity() [1/2]

ComputeNodeConnectivity | ( | const TreeType & | tree,
|  | const Coord * | coordinates,
|  | size_t * | offsets,
|  | size_t | numNodes,
|  | const CoordBBox & | bbox
| ) |  |
| inline

## ◆ ComputeNodeConnectivity() [2/2]

ComputeNodeConnectivity | ( | const ComputeNodeConnectivity< TreeType > & |  | ) |
| default

## Member Function Documentation

## ◆ findNeighbourNode()

size_t findNeighbourNode | ( | tree::ValueAccessor< const TreeType > & | acc,
|  | const Coord & | start,
|  | const Coord & | step
| ) |  | const
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## ◆ operator=()

ComputeNodeConnectivity& operator= | ( | const ComputeNodeConnectivity< TreeType > & |  | ) |
| delete

The documentation for this class was generated from the following file:

- MeshToVolume.h